Subject: rivett

From: [email-masked] (Geoffrey Brown)
Date: 14 Dec 93 18:49:47 GMT

I had only one response to my rivett query.  I have
a turn-of-the-century rivett lathe which I would
love to find out more about.   I don't have a model
number.  It is roughly 9" swing, 24" between centers.  It
has a leadscrew (unlike the one mentioned in the one
response).  The lathe takes rivett collets (I have a set 1/64 -- 1/2).
It seems to have been orignally powered by an overhead shaft, but
is now motor powered.   Overall, the lathe is beautifully made --
all unpainted.  Bearing surfaces are all handscraped.  It has
a funky tool holder for round tool bits.

Geoffrey Brown